diff --git a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
index f2e921a53bc162e342dc03fd95bc7650f0899f73..71641e4d5fc20c7fcad8dafa74c598c517d8070b 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
@@ -379,7 +379,6 @@ public abstract class EnrollProfile extends BasicProfile
             org.mozilla.jss.pkix.cms.SignedData cmcFullReq = 
                 (org.mozilla.jss.pkix.cms.SignedData) cmcReq.getInterpretedContent();
             org.mozilla.jss.pkix.cms.EncapsulatedContentInfo ci = cmcFullReq.getContentInfo();
-            OBJECT_IDENTIFIER id = ci.getContentType();
             OCTET_STRING content = ci.getContent();
 
             ByteArrayInputStream s = new ByteArrayInputStream(content.toByteArray());
@@ -1158,8 +1157,6 @@ public abstract class EnrollProfile extends BasicProfile
 
             /* get SPKAC Algorithm & Signature */
             DerValue derSPKACContent[] = derIn.getSequence(3);
-            AlgorithmId mAlgId = AlgorithmId.parse(derSPKACContent[1]);
-            byte mSignature[] = derSPKACContent[2].getBitString();
 
             /* get PKAC SPKI & Challenge */
             byte mPKAC[] = derSPKACContent[0].toByteArray();
@@ -1167,15 +1164,8 @@ public abstract class EnrollProfile extends BasicProfile
             derIn = new DerInputStream(mPKAC);
             DerValue derPKACContent[] = derIn.getSequence(2);
 
-            DerValue mDerSPKI = derPKACContent[0];
             X509Key mSPKI = X509Key.parse(derPKACContent[0]);
 
-            String mChallenge;
-            DerValue mDerChallenge = derPKACContent[1];
-
-            if (mDerChallenge.length() != 0)
-                mChallenge = derPKACContent[1].getIA5String();
-
             CertificateX509Key certKey = new CertificateX509Key(mSPKI);
             ByteArrayOutputStream certKeyOut = new ByteArrayOutputStream();
             certKey.encode(certKeyOut);
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
index 558338e7fcdadf9c9388073e3cf0513bc484684e..e6f5019a008e36e19bc8355f9bb391a63b9cb866 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
@@ -72,285 +72,285 @@ public class KeyConstraint extends EnrollConstraint {
             "sect131r1", "sect131r2"
     };
 
-    private final static HashMap<String, Vector> ecOIDs = new HashMap<String, Vector>();
+    private final static HashMap<String, Vector<String>> ecOIDs = new HashMap<String, Vector<String>>();
     static {
-        ecOIDs.put("1.2.840.10045.3.1.7", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.7", new Vector<String>() {
             {
                 add("nistp256");
                 add("secp256r1");
             }
         });
-        ecOIDs.put("1.3.132.0.34", new Vector() {
+        ecOIDs.put("1.3.132.0.34", new Vector<String>() {
             {
                 add("nistp384");
                 add("secp384r1");
             }
         });
-        ecOIDs.put("1.3.132.0.35", new Vector() {
+        ecOIDs.put("1.3.132.0.35", new Vector<String>() {
             {
                 add("nistp521");
                 add("secp521r1");
             }
         });
-        ecOIDs.put("1.3.132.0.1", new Vector() {
+        ecOIDs.put("1.3.132.0.1", new Vector<String>() {
             {
                 add("sect163k1");
                 add("nistk163");
             }
         });
-        ecOIDs.put("1.3.132.0.2", new Vector() {
+        ecOIDs.put("1.3.132.0.2", new Vector<String>() {
             {
                 add("sect163r1");
             }
         });
-        ecOIDs.put("1.3.132.0.15", new Vector() {
+        ecOIDs.put("1.3.132.0.15", new Vector<String>() {
             {
                 add("sect163r2");
                 add("nistb163");
             }
         });
-        ecOIDs.put("1.3.132.0.24", new Vector() {
+        ecOIDs.put("1.3.132.0.24", new Vector<String>() {
             {
                 add("sect193r1");
             }
         });
-        ecOIDs.put("1.3.132.0.25", new Vector() {
+        ecOIDs.put("1.3.132.0.25", new Vector<String>() {
             {
                 add("sect193r2");
             }
         });
-        ecOIDs.put("1.3.132.0.26", new Vector() {
+        ecOIDs.put("1.3.132.0.26", new Vector<String>() {
             {
                 add("sect233k1");
                 add("nistk233");
             }
         });
-        ecOIDs.put("1.3.132.0.27", new Vector() {
+        ecOIDs.put("1.3.132.0.27", new Vector<String>() {
             {
                 add("sect233r1");
                 add("nistb233");
             }
         });
-        ecOIDs.put("1.3.132.0.3", new Vector() {
+        ecOIDs.put("1.3.132.0.3", new Vector<String>() {
             {
                 add("sect239k1");
             }
         });
-        ecOIDs.put("1.3.132.0.16", new Vector() {
+        ecOIDs.put("1.3.132.0.16", new Vector<String>() {
             {
                 add("sect283k1");
                 add("nistk283");
             }
         });
-        ecOIDs.put("1.3.132.0.17", new Vector() {
+        ecOIDs.put("1.3.132.0.17", new Vector<String>() {
             {
                 add("sect283r1");
                 add("nistb283");
             }
         });
-        ecOIDs.put("1.3.132.0.36", new Vector() {
+        ecOIDs.put("1.3.132.0.36", new Vector<String>() {
             {
                 add("sect409k1");
                 add("nistk409");
             }
         });
-        ecOIDs.put("1.3.132.0.37", new Vector() {
+        ecOIDs.put("1.3.132.0.37", new Vector<String>() {
             {
                 add("sect409r1");
                 add("nistb409");
             }
         });
-        ecOIDs.put("1.3.132.0.38", new Vector() {
+        ecOIDs.put("1.3.132.0.38", new Vector<String>() {
             {
                 add("sect571k1");
                 add("nistk571");
             }
         });
-        ecOIDs.put("1.3.132.0.39", new Vector() {
+        ecOIDs.put("1.3.132.0.39", new Vector<String>() {
             {
                 add("sect571r1");
                 add("nistb571");
             }
         });
-        ecOIDs.put("1.3.132.0.9", new Vector() {
+        ecOIDs.put("1.3.132.0.9", new Vector<String>() {
             {
                 add("secp160k1");
             }
         });
-        ecOIDs.put("1.3.132.0.8", new Vector() {
+        ecOIDs.put("1.3.132.0.8", new Vector<String>() {
             {
                 add("secp160r1");
             }
         });
-        ecOIDs.put("1.3.132.0.30", new Vector() {
+        ecOIDs.put("1.3.132.0.30", new Vector<String>() {
             {
                 add("secp160r2");
             }
         });
-        ecOIDs.put("1.3.132.0.31", new Vector() {
+        ecOIDs.put("1.3.132.0.31", new Vector<String>() {
             {
                 add("secp192k1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.1", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.1", new Vector<String>() {
             {
                 add("secp192r1");
                 add("nistp192");
                 add("prime192v1");
             }
         });
-        ecOIDs.put("1.3.132.0.32", new Vector() {
+        ecOIDs.put("1.3.132.0.32", new Vector<String>() {
             {
                 add("secp224k1");
             }
         });
-        ecOIDs.put("1.3.132.0.33", new Vector() {
+        ecOIDs.put("1.3.132.0.33", new Vector<String>() {
             {
                 add("secp224r1");
                 add("nistp224");
             }
         });
-        ecOIDs.put("1.3.132.0.10", new Vector() {
+        ecOIDs.put("1.3.132.0.10", new Vector<String>() {
             {
                 add("secp256k1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.2", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.2", new Vector<String>() {
             {
                 add("prime192v2");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.3", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.3", new Vector<String>() {
             {
                 add("prime192v3");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.4", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.4", new Vector<String>() {
             {
                 add("prime239v1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.5", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.5", new Vector<String>() {
             {
                 add("prime239v2");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.1.6", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.1.6", new Vector<String>() {
             {
                 add("prime239v3");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.1", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.1", new Vector<String>() {
             {
                 add("c2pnb163v1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.2", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.2", new Vector<String>() {
             {
                 add("c2pnb163v2");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.3", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.3", new Vector<String>() {
             {
                 add("c2pnb163v3");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.4", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.4", new Vector<String>() {
             {
                 add("c2pnb176v1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.5", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.5", new Vector<String>() {
             {
                 add("c2tnb191v1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.6", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.6", new Vector<String>() {
             {
                 add("c2tnb191v2");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.7", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.7", new Vector<String>() {
             {
                 add("c2tnb191v3");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.10", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.10", new Vector<String>() {
             {
                 add("c2pnb208w1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.11", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.11", new Vector<String>() {
             {
                 add("c2tnb239v1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.12", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.12", new Vector<String>() {
             {
                 add("c2tnb239v2");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.13", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.13", new Vector<String>() {
             {
                 add("c2tnb239v3");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.16", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.16", new Vector<String>() {
             {
                 add("c2pnb272w1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.17", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.17", new Vector<String>() {
             {
                 add("c2pnb304w1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.19", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.19", new Vector<String>() {
             {
                 add("c2pnb368w1");
             }
         });
-        ecOIDs.put("1.2.840.10045.3.0.20", new Vector() {
+        ecOIDs.put("1.2.840.10045.3.0.20", new Vector<String>() {
             {
                 add("c2tnb431r1");
             }
         });
-        ecOIDs.put("1.3.132.0.6", new Vector() {
+        ecOIDs.put("1.3.132.0.6", new Vector<String>() {
             {
                 add("secp112r1");
             }
         });
-        ecOIDs.put("1.3.132.0.7", new Vector() {
+        ecOIDs.put("1.3.132.0.7", new Vector<String>() {
             {
                 add("secp112r2");
             }
         });
-        ecOIDs.put("1.3.132.0.28", new Vector() {
+        ecOIDs.put("1.3.132.0.28", new Vector<String>() {
             {
                 add("secp128r1");
             }
         });
-        ecOIDs.put("1.3.132.0.29", new Vector() {
+        ecOIDs.put("1.3.132.0.29", new Vector<String>() {
             {
                 add("secp128r2");
             }
         });
-        ecOIDs.put("1.3.132.0.4", new Vector() {
+        ecOIDs.put("1.3.132.0.4", new Vector<String>() {
             {
                 add("sect113r1");
             }
         });
-        ecOIDs.put("1.3.132.0.5", new Vector() {
+        ecOIDs.put("1.3.132.0.5", new Vector<String>() {
             {
                 add("sect113r2");
             }
         });
-        ecOIDs.put("1.3.132.0.22", new Vector() {
+        ecOIDs.put("1.3.132.0.22", new Vector<String>() {
             {
                 add("sect131r1");
             }
         });
-        ecOIDs.put("1.3.132.0.23", new Vector() {
+        ecOIDs.put("1.3.132.0.23", new Vector<String>() {
             {
                 add("sect131r2");
             }
@@ -422,7 +422,6 @@ public class KeyConstraint extends EnrollConstraint {
             }
 
             int keySize = 0;
-            String ecCurve = "";
 
             if (alg.equals("RSA")) {
                 keySize = getRSAKeyLen(key);
@@ -468,7 +467,7 @@ public class KeyConstraint extends EnrollConstraint {
                 }
 
                 CMS.debug("EC key OID: " + params);
-                Vector vect = ecOIDs.get(params);
+                Vector<String> vect = ecOIDs.get(params);
 
                 boolean curveFound = false;
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/SigningAlgConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/SigningAlgConstraint.java
index 2125bb81e45fc19d1c7a02b22b66c221e8635438..4dbe329b32161f143de978124ebd877a94731278 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/SigningAlgConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/SigningAlgConstraint.java
@@ -117,7 +117,7 @@ public class SigningAlgConstraint extends EnrollConstraint {
             AlgorithmId id = (AlgorithmId)
                     algId.get(CertificateAlgorithmId.ALGORITHM);
 
-            Vector mCache = new Vector();
+            Vector<String> mCache = new Vector<String>();
             StringTokenizer st = new StringTokenizer(
                     getConfig(CONFIG_ALGORITHMS_ALLOWED), ",");
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
index 76ea4e1436ddc30ea75305385f82f6d3ee6aa647..4e4f951f7019254328491ac8c1a16744ff39ca16 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/AuthInfoAccessExtDefault.java
@@ -340,7 +340,7 @@ public class AuthInfoAccessExtDefault extends EnrollExtDefault {
             int num = getNumAds();
 
             CMS.debug("AuthInfoAccess num=" + num);
-            Vector recs = new Vector();
+            Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
 
             for (int i = 0; i < num; i++) {
                 NameValuePairs np = new NameValuePairs();
@@ -375,7 +375,6 @@ public class AuthInfoAccessExtDefault extends EnrollExtDefault {
 
     public String getText(Locale locale) {
         StringBuffer ads = new StringBuffer();
-        String numAds = getConfig(CONFIG_NUM_ADS);
         int num = getNumAds();
 
         for (int i = 0; i < num; i++) {
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
index c7a0f9abd2ebd12e2187b8a925bc6b520e7a2b2e..d1def3d5df7ac2674ad350499ffd1be4bee55028 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
@@ -434,8 +434,6 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
             if (ext == null)
                 return "";
 
-            StringBuffer sb = new StringBuffer();
-
             Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
             int num = getNumPoints();
 
@@ -497,7 +495,6 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
 
             if (gn != null) {
                 hasFullName = true;
-                int type = gn.getType();
 
                 pairs.put(POINT_TYPE, getGeneralNameType(gn));
                 pairs.put(POINT_NAME, getGeneralNameValue(gn));
@@ -528,7 +525,6 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
 
             if (gn != null) {
                 hasFullName = true;
-                int type = gn.getType();
 
                 pairs.put(ISSUER_TYPE, getGeneralNameType(gn));
                 pairs.put(ISSUER_NAME, getGeneralNameValue(gn));
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/EnrollDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/EnrollDefault.java
index 5310986d543b04eac316f78eacbf4a8675888968..67ebadbe4ea8709397d23d6ae33f37654e1376c8 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/EnrollDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/EnrollDefault.java
@@ -396,7 +396,6 @@ public abstract class EnrollDefault implements IPolicyDefault, ICertInfoPolicyDe
         int pos = name.indexOf(':');
         if (pos == -1)
             return false;
-        String nameType = name.substring(0, pos).trim();
         String nameValue = name.substring(pos + 1).trim();
         if (nameValue.equals(""))
             return false;
@@ -480,7 +479,7 @@ public abstract class EnrollDefault implements IPolicyDefault, ICertInfoPolicyDe
         if (nameType.equalsIgnoreCase("OIDName")) {
             try {
                 // check if OID
-                ObjectIdentifier oid = new ObjectIdentifier(nameValue);
+                new ObjectIdentifier(nameValue);
             } catch (Exception e) {
                 return null;
             }
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
index 739fd3448a890ee16cda9ea4f3b8fd9b7c35d36e..acbbd108956b9840f72c7803b8cefa88c39696d4 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
@@ -379,8 +379,6 @@ public class FreshestCRLExtDefault extends EnrollExtDefault {
             if (ext == null)
                 return "";
 
-            StringBuffer sb = new StringBuffer();
-
             Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
             int num = getNumPoints();
             for (int i = 0; i < num; i++) {
@@ -431,7 +429,6 @@ public class FreshestCRLExtDefault extends EnrollExtDefault {
 
             if (gn != null) {
                 hasFullName = true;
-                int type = gn.getType();
 
                 pairs.put(POINT_TYPE, getGeneralNameType(gn));
                 pairs.put(POINT_NAME, getGeneralNameValue(gn));
@@ -453,7 +450,6 @@ public class FreshestCRLExtDefault extends EnrollExtDefault {
 
             if (gn != null) {
                 hasFullName = true;
-                int type = gn.getType();
 
                 pairs.put(ISSUER_TYPE, getGeneralNameType(gn));
                 pairs.put(ISSUER_NAME, getGeneralNameValue(gn));
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/PolicyMappingsExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/PolicyMappingsExtDefault.java
index 1f05fef3e76368e6330cb0b3e0629b939539b909..712641c0d5accbaef2d46dee8c3b3761f4ff8efd 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/PolicyMappingsExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/PolicyMappingsExtDefault.java
@@ -310,9 +310,6 @@ public class PolicyMappingsExtDefault extends EnrollExtDefault {
 
             Enumeration<CertificatePolicyMap> maps = ext.getMappings();
 
-            int num = 0;
-            StringBuffer sb = new StringBuffer();
-
             Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
 
             for (int i = 0; i < num_mappings; i++) {
@@ -346,7 +343,6 @@ public class PolicyMappingsExtDefault extends EnrollExtDefault {
 
     public String getText(Locale locale) {
         StringBuffer sb = new StringBuffer();
-        String numMappings = getConfig(CONFIG_NUM_POLICY_MAPPINGS);
         int num = getNumMappings();
 
         for (int i = 0; i < num; i++) {
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/SubjectAltNameExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/SubjectAltNameExtDefault.java
index b205f7df481a30faf9cdc7339efa9b62f0331b1c..d3838577e85bc5f56a3a7456b9bd2e1ef4ef164f 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/SubjectAltNameExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/SubjectAltNameExtDefault.java
@@ -382,7 +382,6 @@ public class SubjectAltNameExtDefault extends EnrollExtDefault {
      */
     public String getText(Locale locale) {
         StringBuffer sb = new StringBuffer();
-        String numGNs = getConfig(CONFIG_NUM_GNS);
         int num = getNumGNs();
 
         for (int i = 0; i < num; i++) {
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
index 104b29a083c554040ecf6c573d91eb2c708fc06f..8ea7533cc2e1b88130b245e464a8947538fbb25b 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
@@ -335,7 +335,7 @@ public class SubjectInfoAccessExtDefault extends EnrollExtDefault {
             int num = getNumAds();
 
             CMS.debug("SubjectInfoAccess num=" + num);
-            Vector recs = new Vector();
+            Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
 
             for (int i = 0; i < num; i++) {
                 NameValuePairs np = new NameValuePairs();
@@ -370,7 +370,6 @@ public class SubjectInfoAccessExtDefault extends EnrollExtDefault {
 
     public String getText(Locale locale) {
         StringBuffer ads = new StringBuffer();
-        String numAds = getConfig(CONFIG_NUM_ADS);
         int num = getNumAds();
 
         for (int i = 0; i < num; i++) {
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
index abdc770baace9aff545ef16e75d37fe1f55f9b22..bbf6415408162b26036a8389a08dd351eeee8c3c 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
@@ -264,11 +264,6 @@ public class LdapCaSimpleMap implements ILdapMapper, IExtendedPluginInfo {
                 "organizationalPerson",
                 "inetOrgPerson" };
 
-        String oOc[] = { "top",
-                "organization" };
-        String oiOc[] = { "top",
-                "organizationalunit" };
-
         DN dnobj = new DN(dn);
         String attrval[] = dnobj.explodeDN(true);
 
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCrlIssuerCompsMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCrlIssuerCompsMap.java
index 4451706a3102cd48c3953095c0abd7ebbc561649..654de5d302b33b17522c678a94ff17af951bccb6 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCrlIssuerCompsMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCrlIssuerCompsMap.java
@@ -83,15 +83,15 @@ public class LdapCrlIssuerCompsMap
         return "LdapCrlIssuerCompsMap";
     }
 
-    public Vector getDefaultParams() {
-        Vector v = super.getDefaultParams();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = super.getDefaultParams();
 
         //v.addElement("crlAttr=" + LdapCrlPublisher.LDAP_CRL_ATTR);
         return v;
     }
 
-    public Vector getInstanceParams() {
-        Vector v = super.getInstanceParams();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = super.getInstanceParams();
 
         return v;
     }
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/NoMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/NoMap.java
index cddc589bd921aa3f7a7abe7cc84b12e7dc409541..155c54ce085ae0aa2ffa8f5dd5139ae2a829ef4c 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/NoMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/NoMap.java
@@ -91,13 +91,13 @@ public class NoMap implements ILdapMapper, IExtendedPluginInfo {
         return "NoMap";
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
         return v;
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
         return v;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/FileBasedPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/FileBasedPublisher.java
index 5e8ad1282380e86e27b84090126b0fce5ffd1556..cb13b2452d55318ec46dc51cad3e9545760dd24f 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/FileBasedPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/FileBasedPublisher.java
@@ -181,7 +181,6 @@ public class FileBasedPublisher implements ILdapPublisher, IExtendedPluginInfo {
     public void init(IConfigStore config) {
         mConfig = config;
         String dir = null;
-        String ext = null;
 
         try {
             dir = mConfig.getString(PROP_DIR, null);
@@ -366,8 +365,6 @@ public class FileBasedPublisher implements ILdapPublisher, IExtendedPluginInfo {
                     if (encodedArray == null)
                         encodedArray = crl.getEncoded();
 
-                    ByteArrayOutputStream os = new ByteArrayOutputStream();
-
                     fos = new FileOutputStream(tempFile);
                     fos.write(Utils.base64encode(encodedArray).getBytes());
                     fos.close();
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
index 29b874a942d8d353b69279d53cf868fb24dea4da..e47318b7665c169f74dbc1f857d0549859732f51 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCaCertPublisher.java
@@ -93,16 +93,16 @@ public class LdapCaCertPublisher
         return "LdapCaCertPublisher";
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("caCertAttr=" + mCaCertAttr);
         v.addElement("caObjectClass=" + mCaObjectclass);
         return v;
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("caCertAttr=" + mCaCertAttr);
         v.addElement("caObjectClass=" + mCaObjectclass);
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
index 5975872ff4e67e07143450241051e0c45ad43db5..9000f6834ee00d73c52cca306e7976c2405352ee 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertSubjPublisher.java
@@ -74,16 +74,16 @@ public class LdapCertSubjPublisher implements ILdapPublisher {
         return "LdapCertSubjPublisher";
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("certAttr=" + mCertAttr);
         v.addElement("subjectNameAttr=" + mSubjNameAttr);
         return v;
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("certAttr=" + mCertAttr);
         v.addElement("subjectNameAttr=" + mSubjNameAttr);
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertificatePairPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertificatePairPublisher.java
index 624cb1478723626f9ca4e0c92621f13bbe0e7dbf..c65ff79d584a7a4df9f470e5314e12ebac090c6f 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertificatePairPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCertificatePairPublisher.java
@@ -91,20 +91,20 @@ public class LdapCertificatePairPublisher
         return "LdapCertificatePairPublisher";
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("crossCertPairAttr=" + mCrossCertPairAttr);
         v.addElement("caObjectClass=" + mCaObjectclass);
         return v;
     }
 
-    public Vector getInstanceParamsWithExtras() {
+    public Vector<String> getInstanceParamsWithExtras() {
         return getInstanceParams();
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("crossCertPairAttr=" + mCrossCertPairAttr);
         v.addElement("caObjectClass=" + mCaObjectclass);
